Bug 476170 - kdesvn crashes KDE with error "Could not start ksmserver" [NEEDINFO]
kdesvn crashes KDE with error "Could not start ksmserver"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdesvn (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-12 03:15 EST by Simona Avornicesei
Modified: 2009-01-14 22:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 22:03:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
orion: needinfo? (savornicesei)


Attachments (Terms of Use)

  None (edit)
Description Simona Avornicesei 2008-12-12 03:15:43 EST
Description of problem:
Whenever I open up Kdesvn and walk through its meniu, the screen goes blank and the error "Could not start ksmserver" is displayed. Hitting OK returns me to the login screen.
I am using KDE as my GUI and my fedora box is up2date.

Version-Release number of selected component (if applicable):
kernel 2.6.27.7-53.fc9.x86_64

kdenetwork-libs-4.1.3-1.fc9.x86_64
kdemultimedia-devel-4.1.3-1.fc9.x86_64
kdelibs-4.1.3-4.fc9.x86_64            
kdebase3-libs-3.5.10-2.fc9.x86_64     
kdesdk-utils-4.1.3-1.fc9.x86_64       
kdeutils-4.1.3-1.fc9.x86_64           
kde-settings-pulseaudio-4.0-30.fc9.noarch
kdebase-runtime-libs-4.1.3-1.fc9.x86_64  
kdelibs3-3.5.10-1.fc9.x86_64             
kdelibs-common-4.1.3-4.fc9.x86_64
kdebase-runtime-4.1.3-1.fc9.x86_64
kdenetwork-4.1.3-1.fc9.x86_64
kdebase3-pim-ioslaves-3.5.10-2.fc9.x86_64
kde-settings-4.0-30.fc9.noarch
kdesdk-libs-4.1.3-1.fc9.x86_64
ooobasis3.0-kde-integration-3.0.0-9358.x86_64
kdesdk-4.1.3-1.fc9.x86_64
kdelibs3-devel-3.5.10-1.fc9.x86_64
kdebase-4.1.3-2.fc9.x86_64
lockdev-1.0.1-12.fc9.1.x86_64
kde-settings-kdm-4.0-30.fc9.noarch
kdelibs-devel-4.1.3-4.fc9.x86_64
kdebase-workspace-libs-4.1.3-6.fc9.x86_64
kdeplasma-addons-4.1.3-1.fc9.x86_64
kdebase3-3.5.10-2.fc9.x86_64
kde-filesystem-4-19.fc9.noarch
kdepimlibs-4.1.3-1.fc9.x86_64
kdebase-workspace-devel-4.1.3-6.fc9.x86_64
kdevelop-libs-3.5.3-1.fc9.x86_64
kdebase-workspace-4.1.3-6.fc9.x86_64
kdemultimedia-libs-4.1.3-1.fc9.x86_64
kdebase-libs-4.1.3-2.fc9.x86_64
kdepimlibs-devel-4.1.3-1.fc9.x86_64

kdesvn-1.2.1-1.fc9.x86_64

How reproducible:
always
  
Actual results:
kdesvn cannot be used without crashing the current X session

Expected results:
kdesvn to be usable as a svn client

Additional info:
Running # ksmserver kdm returns the following:
ksmserver: Unexpected argument 'kdm'.
ksmserver: Use --help to get a list of available command line options.

I don't know what logs you need but let me know and I'll provide them to you.
Comment 1 Orion Poplawski 2008-12-18 17:19:35 EST
Can you see if this build helps?

http://koji.fedoraproject.org/koji/taskinfo?taskID=1007862

If not, can you attach the ~/.xsession-errors file from the crashed session?  You'll need to do a ctrl-alt-F2 and do a text login and move it out of the way before doing a graphical login or it will get overwritten.

Also, what do you mean by "walk through its menu"?

This seems like something other than kdesvn though to crash the whole session.
Comment 2 Fedora Update System 2008-12-19 11:34:04 EST
kdesvn-1.2.2-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kdesvn-1.2.2-1.fc9
Comment 3 Fedora Update System 2008-12-21 03:37:35 EST
kdesvn-1.2.2-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update kdesvn'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11502
Comment 4 Fedora Update System 2009-01-14 22:03:41 EST
kdesvn-1.2.2-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.